Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Streams Advanced Queuing Java API Reference 10g Release 2 (10.2) B14291-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jms
Class AQjmsQueueConnectionFactory

`java.lang.Object
oracle.jms.AQjmsConnectionFactory
oracle.jms.AQjmsQueueConnectionFactory`

All Implemented Interfaces:
  ConnectionFactory, javax.naming.spi.ObjectFactory, QueueConnectionFactory, javax.naming.Referenceable, java.io.Serializable

Direct Known Subclasses:
  AQjmsXAQueueConnectionFactory

public class AQjmsQueueConnectionFactory
extends AQjmsConnectionFactory
implements QueueConnectionFactory, javax.naming.Referenceable, java.io.Serializable

This is an Oracle class which implements `javax.jms.QueueConnectionFactory`. A `QueueConnectionFactory` is an encapsulation of JMS servers to which `QueueConnection`s can be created to access message queuing facilities.

See Also:
  Serialized Form

Method Summary
`QueueConnection` | `createQueueConnection()` Creates a queue connection with the default user identity.
`static QueueConnection` | `createQueueConnection(java.sql.Connection jdbcConnection)` Creates a queue connection using an already open JDBC connection.
`QueueConnection` | `createQueueConnection(java.lang.String userName, java.lang.String password)` Creates a queue connection using the specified user identity.
`javax.naming.Reference` | `getReference()` Creates a JMS queue connection factory reference suitable for passing to `AQjmsConnectionFactory.getObjectInstance(java.lang.Object, javax.naming.Name, javax.naming.Context, java.util.Hashtable)`.

Methods inherited from class oracle.jms.AQjmsConnectionFactory
`createConnection, createConnection, getObjectInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.jms.ConnectionFactory
`createConnection, createConnection`

Method Detail

### createQueueConnection

    public QueueConnection createQueueConnection()
                                          throws JMSException

  Creates a queue connection with the default user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.
  Specified by:
    `createQueueConnection` in interface `QueueConnectionFactory`
  Returns:
    a newly created connection
  Throws:
    `JMSException` - if the queue connection is not created due to some error.
    `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

### createQueueConnection

    public QueueConnection createQueueConnection(java.lang.String userName,
                                                 java.lang.String password)
                                          throws JMSException

  Creates a queue connection using the specified user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.
  Specified by:
    `createQueueConnection` in interface `QueueConnectionFactory`
  Parameters:
    `userName` - the caller's user name
    `password` - the caller's password
  Returns:
    a newly created queue connection
  Throws:
    `JMSException` - if the queue connection is not created due to some error.
    `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

### createQueueConnection

    public static QueueConnection createQueueConnection(java.sql.Connection jdbcConnection)
                                                 throws JMSException

  Creates a queue connection using an already open JDBC connection. This creation does NOT result in the creation of another connection to the database. Instead JMS binds the given connection to the database and provides an interface to the queuing mechanism defined by JMS.
  Parameters:
    `jdbcConnection` - a valid open connection to the database.
  Returns:
    a newly created queue connection
  Throws:
    `JMSException` - if the queue connection is not created due to some error.

### getReference

    public javax.naming.Reference getReference()

  Creates a JMS queue connection factory reference suitable for passing to `AQjmsConnectionFactory.getObjectInstance(java.lang.Object, javax.naming.Name, javax.naming.Context, java.util.Hashtable)`.
  Specified by:
    `getReference` in interface `javax.naming.Referenceable`
  Overrides:
    `getReference` in class `AQjmsConnectionFactory`
  Returns:
    a queue connection factory reference with object and factory class names set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Streams Advanced Queuing Java API Reference 10g Release 2 (10.2) B14291-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.